dependency_scanning:
  image: node:latest
  stage: test
  before_script:

    - curl -Lo snyk https://github.com/snyk/snyk/releases/latest/download/snyk-linux
    - chmod +x snyk
  script:
    - ./snyk auth $SNYK_TOKEN
    - ./snyk test --all-projects || true
    - ./snyk code test 
 
  # Save report to artifacts
  artifacts:
    when: always
    paths: 
      - snyk_results2.html
